Get Platform Lcm Status

Get Platform Lcm Status
Poll LCM workflow status and precheck results

Retrieves the real-time execution status of any active precheck or Lifecycle Management (LCM) workflows for the platform.

Workflow Chain: This endpoint is the standard polling mechanism used after triggering asynchronous operations like POST /sspi/platforms, PUT /sspi/platforms/{platform-id}, or DELETE /sspi/platforms/{platform-id}.

Returns:

  • Overall status of the active job (IN_PROGRESS, COMPLETED, FAILED, etc.).
  • Detailed step-by-step precheck results and their individual pass/fail states.
Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}/status
COPY
Path Parameters
string
platform-id
Required

A globally unique UUID representing the platform.

platform-id example
434348d8-681e-4809-8dc1-427127d2bee7

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns WorkflowStatus of type(s) application/json
{
    "platform_id": "string",
    "platform_name": "string",
    "phase": "string",
    "workflow_results": [
        {
            "display_name": "string",
            "type": "string",
            "start_time": 0,
            "end_time": 0,
            "state": "string",
            "phase": "string",
            "jobs": [
                {
                    "id": 0,
                    "display_name": "string",
                    "details": "string",
                    "start_time": 0,
                    "end_time": 0,
                    "state": "string"
                }
            ]
        }
    ]
}
string
platform_id
Optional

The ID of the Platform instance.

string
platform_name
Optional

The name of the Platform instance.

string
phase
Optional

The current phase of the workflow.

  • DRAFT: The starting phase.
  • PRECHECK: The phase where the deployment precheck takes place.
  • DEPLOYMENT: The phase where the deployment takes place.
  • DELETE: The phase for cleanup platform tasks after completion.
  • UPDATE_PRECHECK: The phase where the update platform precheck takes place after deployment.
  • UPDATE: The phase where the update platform takes place after deployment.
Enumeration: DRAFT, PRECHECK, DEPLOYMENT, DELETE, UPDATE_PRECHECK, UPDATE
array of object
workflow_results
Optional

A list of workflow results.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

An error occurred while checking the Platform Installer service.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms/{platform-id}/status